/*
 * PasswordVector.java
 *
 * Copyright (C) 2005-2006 Tommi Laukkanen
 * http://www.substanceofcode.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.substanceofcode.saferoom.data;

import java.util.Enumeration;
import java.util.Hashtable;
import java.util.Vector;

/**
 *
 * @author Tommi Laukkanen
 */
public class PasswordItemCollection {
    
    private Hashtable m_passwords = null;
    
    /**
     * Creates a new instance of PasswordItemCollection
     */
    public PasswordItemCollection() {
        m_passwords = new Hashtable();
    }
    
    /** Add an element */
    public void add(PasswordItem item) {
        m_passwords.put(item.getLocation(), item);
    }
    
    /** Remove an element at given index */
    public void remove(PasswordItem item) {
        m_passwords.remove(item.getLocation());
    }
    
    public String[] getLocations() {
        String[] result = new String[ m_passwords.size() ];
        Enumeration enumerator = m_passwords.elements();
        int index = 0;
        while(enumerator.hasMoreElements()) {
            PasswordItem password = (PasswordItem) enumerator.nextElement();
            result[ index ] = password.getLocation();                
            index++;
        }
        return result;
    }
    
    public Enumeration elements() {
        return m_passwords.elements();
    }
    
    /** Return element at given position */
    public PasswordItem getItemByLocation(String location) {
	return (PasswordItem) m_passwords.get(location);
    }
    
    /** Size */
    public int size() {
        return m_passwords.size();
    }
    
}
